وب و اینترنت

گوشی‌ها و دستگاهای قدیمی خود را آپدیت کنید تا با مشکل دسترسی به اینترنت مواجه نشوید!

یکی از گواهینامه‌های Root برای نمایش وب‌سایت‌ها با پروتکل HTTPS، مورد استفاده در دستگاه‌های قدیمی از جمله؛ گوشی‌‌های هوشمند با اندروید 5 و 7، ویندوز XP، مک او اس 2016 کنسول‌های قدیمی و... در تاریخ 30 سپتامبر یعنی 2 روز دیگر منقضی می‌شود و عملکرد دستگاه‌های ذکر شده را در استفاده از اینترنت مختل می‌کند.

شرکت Let’s Encrypt، یکی از بزرگترین ارائه دهندگان گواهینامه‌های HTTPS، هفته آینده پشتیبانی از یک گواهینامه root قدیمی خود را که در دستگاه‌های قدیمی درحال استفاده است متوقف می‌کند. این به این معنی است که ممکن است برای جلوگیری از مشکل دسترسی به اینترنت نیاز به ارتقا سیستم عامل آن‌ها داشته باشید.

شرکت Let’s Encrypt، یک سازمان غیرانتفاعی رایگان است که برای استفاده از اینترنت، گواهینامه‌های صادر می‌کند و اتصالات بین دستگاه‌های شما و اینترنت را رمزگذاری می‌کند همچنین اطمینان می‌دهد که هیچ کس نمی‌تواند داده‌های شما را رهگیری و سرقت کند.

مشکل دسترسی به اینترنت بعد از منقضی شدن گواهینامه IdentTrust DST Root CA X3

میلیون‌ها وب سایت به تنهایی از گواهینامه‌های Let’s Encrypt استفاده می‌کند. اما، همانطور که توسط محقق امنیتی “اسکات هلم” هشدار داده است، گواهی Root که Let’s Encrypt از آن استفاده می‌کند یعنی IdentTrust DST Root CA X3 در تاریخ 30 سپتامبر منقضی می‌شود. پس از این، رایانه‌ها، دستگاه ها و سرویس گیرندگان وب، مانند مرورگرها دیگر به این گواهینامه اعتماد نمی‌کنند. برای اکثریت قریب به اتفاق کاربران، هیچ جای نگرانی وجود ندارد و 30 سپتامبر طبق معمول فعالیت خواهند داشت.

با این حال، دستگاه های قدیمی‌تر ممکن است با مشکلاتی مواجه شوند، درست مانند زمانی که گواهینامه AddTrust External CA Root در ماه مه منقضی شد. در نتیجه Stripe ،Red Hat و Roku دچار خاموشی شدند. هلم در یک پست وبلاگی با اشاره به انقضای گواهینامه مورد بحث هشدار داد:”با توجه به تفاوت اندازه نسبی بین گواهینامه Let’s Encrypt و AddTrust، من احساس می‌کنم که انقضای گواهینامه روت IdenTrust می‌تواند مشکلات بیشتری ایجاد کند.”

دستگاه هایی که احتمالاً با انقضای گواهینامه مورد بحث تحت تاثیر مشکل دسترسی به اینترنت قرار می‌گیرند، دستگاه‌هایی هستند که به طور مرتب به روز نمی‌شوند، از جمله تلفن‌های هوشمند دارای نسخه‌های سیستم عامل قدیمی مانند اندروید 7 و اندروید 5. کاربرانی که نسخه‌های قدیمی macOS 2016 و ویندوز XP (با سرویس پک 3) را اجرا می‌کنند، به همراه مشتریان وابسته به OpenSSL 1.0.2 یا نسخه های قبلی و PlayStation های قدیمی‌تر که به سیستم عامل جدیدتر ارتقا نیافته‌اند، با مشکلاتی روبرو می‌شوند.

اگر از گوشی‌های استفاده می‌کنید که اندروید ۷ نوقا یا اندروید 5 لالی‌پاپ را نصب دارند و به نسخه جدیدتری به روز نمی‌شوند، برای جلوگیری از مشکل دسترسی به اینترنت بهتر است از مروگر فایرفاکس استفاده کنید.


منبع: thelatch

نوشته های مشابه

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد.

دکمه بازگشت به بالا